Package tigase.db.beans

## Class UserRepositoryMDPoolBean

- java.lang.Object
- - tigase.db.beans.MDPoolBean<S,​T>
  - - tigase.db.beans.MDPoolBeanWithStatistics<UserRepository,​UserRepositoryMDPoolBean.UserRepositoryConfigBean>
    - - tigase.db.UserRepositoryMDImpl
      - - tigase.db.beans.UserRepositoryMDPoolBean

- All Implemented Interfaces:
    `Repository`, `UserRepository`, `RegistrarBean`, `RegistrarBeanWithDefaultBeanClass`, `ComponentStatisticsProvider`, `StatisticsProviderIfc`

      @Bean(name="userRepository",
            parent=Kernel.class,
            exportable=true,
            active=true)
      @ConfigType({DefaultMode,SessionManagerMode,ConnectionManagersMode,ComponentMode})
      public class UserRepositoryMDPoolBean
      extends UserRepositoryMDImpl

  Class implements bean for multi domain pool for user repositories.
  Created by andrzej on 07.03.2016.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `UserRepositoryMDPoolBean.UserRepositoryConfigBean` |

    - ### Nested classes/interfaces inherited from interface tigase.db.Repository

      `Repository.Meta, Repository.SchemaId`

    - ### Nested classes/interfaces inherited from interface tigase.db.UserRepository

      `UserRepository.UserRemovedEvent`

  - ### Field Summary

    - ### Fields inherited from class tigase.db.beans.MDPoolBean

      `POOL_CLASS, POOL_SIZE, REPO_CLASS, REPO_URI`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserRepositoryMDPoolBean()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `belongsTo​(java.lang.Class<? extends BasicComponent> component)` |
    `java.lang.Class<? extends UserRepositoryMDPoolBean.UserRepositoryConfigBean>` | `getConfigClass()` | Returns per domain configuration class
    `java.lang.Class<?>` | `getDefaultBeanClass()` | Returns default class for all bean which are defined using configuration as subbeans of bean implementing this interface.
    `void` | `getStatistics​(java.lang.String compName, StatisticsList list)` |

    - ### Methods inherited from class tigase.db.UserRepositoryMDImpl

      `addDataList, addUser, getData, getData, getData, getDataList, getDataMap, getDataMap, getKeys, getKeys, getResourceUri, getSubnodes, getSubnodes, getUsers, getUsersCount, getUsersCount, getUserUID, initRepository, removeData, removeData, removeSubnode, removeUser, setData, setData, setDataList, userExists`

    - ### Methods inherited from class tigase.db.beans.MDPoolBeanWithStatistics

      `addRepo, everyHour, everyMinute, everySecond, getDefaultRepository, getDomainsList, getRepo, removeRepo, repositoriesStream, setDefault, setStatisticsEnabled, wrapInProxy`

    - ### Methods inherited from class tigase.db.beans.MDPoolBean

      `getDefaultAlias, getName, register, registerConfigBean, unregister`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserRepositoryMDPoolBean

          public UserRepositoryMDPoolBean()

  - ### Method Detail

    - #### belongsTo

          public boolean belongsTo​(java.lang.Class<? extends BasicComponent> component)

    - #### getStatistics

          public void getStatistics​(java.lang.String compName,
                                    StatisticsList list)

      Specified by:
        `getStatistics` in interface `StatisticsProviderIfc`
      Overrides:
        `getStatistics` in class `MDPoolBeanWithStatistics<UserRepository,​UserRepositoryMDPoolBean.UserRepositoryConfigBean>`

    - #### getConfigClass

          public java.lang.Class<? extends UserRepositoryMDPoolBean.UserRepositoryConfigBean> getConfigClass()

      Description copied from class: `MDPoolBean`
      Returns per domain configuration class
      Specified by:
        `getConfigClass` in class `MDPoolBean<UserRepository,​UserRepositoryMDPoolBean.UserRepositoryConfigBean>`
      Returns:
        class

    - #### getDefaultBeanClass

          public java.lang.Class<?> getDefaultBeanClass()

      Description copied from interface: `RegistrarBeanWithDefaultBeanClass`
      Returns default class for all bean which are defined using configuration as subbeans of bean implementing this interface. This allows users to have more convenient configuration file without the need to specify class for each of subbbeans if most of them will have the same class.